@font-face {
    font-family: "blackout-midnight";
    src: url("/fonts/blackout/blackout_midnight-webfont.eot");
    src: url("/fonts/blackout/blackout_midnight-webfont.woff") format("woff"),
    url("/fonts/Metropolis-Black.otf") format("opentype"),
    url("/fonts/blackout/blackout_midnight-webfont.svg") format("svg");
}

#show-header, .showpage-show {
    display: flex;
    width: 100%;
    max-height: 400px;
    box-sizing: border-box; /* Include padding and border in element's total width and height */
}   

.showpage-show {
    margin-top: 10px;
    margin-bottom: 18px;
}

#show-image-container {
    flex: 0 0 auto; /* Prevent the image container from shrinking */
}

#shows-loop {
    background-color: #000;
}

#show-name-and-description {
    flex: 1; /* Allow the name and description container to take the remaining space */
    display: flex;
    flex-direction: column;
    justify-content: center; /* Vertically center the text */
    margin-right: 10px;
} 

.showpage-show-name-and-description {
    flex: 1; /* Allow the name and description container to take the remaining space */
    display: flex;
    flex-direction:column;
    justify-content: center; /* Vertically center the text */
    margin-right: 10px;
    margin-left: 10px;
}

#show-name-and-description-container {
    margin: 10px;
    padding-left: 20px;
}

.show-image {
    max-width: 400px;
    max-height: 400px;
}
 
.showpage-learn-more-button {
    background-color: #000;
    color:#fff;
    font-weight: bold;
    max-width:80%;
}


.stamp {
    padding:10px;
    transform: rotate(1deg);
      color: #555;
      font-size: 3rem;
      font-weight: 700;
      border: 0.25rem solid #555;
      display: inline-block;
      padding: 0.25rem 1rem;
      text-transform: uppercase;
      border-radius: 1rem;
      -webkit-mask-image: url('/images/grunge.png');
    -webkit-mask-size: 944px 604px;
    mix-blend-mode: multiply;
  }

.show-name {
    font-family: blackout-midnight;
    background-color: transparent;
    width:auto;
    font-weight: 1000;
    text-transform: uppercase;
    margin: 0 40px 0 0;
    text-align: center;
    line-height: .85em;
    color: #000;
	border: .3rem solid #000;
  font-size: 6rem;
  border-radius: 0;
  padding: 0.5rem;
}

.showpage-stamp {
    max-width:80%;
    font-size:4.5rem;
}

@media screen and (max-width: 1100px) and (min-width: 800px) {
    .showpage-stamp {
        font-size:3rem;
    }
}

.show-short-description {
    background-color: transparent;
    margin: 0;
    max-width:80%;
    font-size:30px;
    text-transform: uppercase;
    letter-spacing: 2px;
    text-align: center;
}


#show-description-container {
    background-image:url('https://images.trvl-media.com/localexpert/45386947/4a320cb2-695c-4310-855c-060648dbca34.jpg');
    background-size: cover;
    background-position: center;
    text-align: center;
    margin: 0 10px 0 0;
    display: flex;             /* Enable flexbox */
    justify-content: center;   /* Center horizontally */
    align-items: center;       /* Center vertically if needed */
    height: 100%;              /* Ensure the container takes the full height if needed */
    padding: 20px;             /* Optional: Add padding to the container */
    box-sizing: border-box;    /* Ensure padding is included in the element's total width and height */
}

#show-description {
    width: 50%;                /* Set the width of the description box */
    background-color: #000;    /* Set the background color */
    padding: 10px;             /* Optional: Add padding inside the description box */
    box-sizing: border-box;    /* Ensure padding is included in the element's total width */
    margin: 50px auto 50px auto;            /* Center the element by auto margins */
    text-align: left;          /* Optional: Set the text alignment */
}

#show-description p {
    color: #fff;               /* Set the text color */
    margin: 0;                 /* Remove default margin */
    font-size:20px;
    padding:10px;
    text-align: center;
}

#upcoming-dates-header {
    margin-right:10px;  
}

.upcoming-event-container {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: black;
}

.upcoming-event {
    display: flex;
    justify-content: center;
    align-items: stretch; /* Ensure child elements stretch to the height of the container */
    background-color: black;
}

.upcoming-event-image-container {
    display: flex;
    align-items: center;
    justify-content: center;
}

.upcoming-event-image {
    max-height: 180px;
    max-width: 180px;
    height: auto;
    width: auto;
}

.upcoming-event-info-and-button-container {
    display: flex;
    flex-direction: row ;
    justify-content: center;
    align-items: center;
    flex: 1;
    height: 100%; /* Ensure it takes the full height of the container */
    padding: 10px;
    box-sizing: border-box;
    min-height: 180px; /* Ensure minimum height of 180px */
}

.upcoming-event-info {
    padding: 10px;
}

.small-showname {
    font-size: 30px;
    padding: 10px;
    transform: none;
}

.upcoming-event-datetime {
    font-size: 20px;
    text-transform: uppercase;
    letter-spacing: 3px;
    font-weight: bold;
}

.upcoming-event-short-description {
    margin-top: 8px;
}

.show-purchase-button {
    background-color: #000;
    margin-left: 30px;
    margin-right: 30px;
}

.purchase-for {
    color: #fff;
    margin-top: 20px;
}

.show-presale-button-price {
    font-size: 30px;
    color: #fff;
    background-color: #000;
    font-weight: bold;
}

.show-info-button {
    padding-left: 20px;
    padding-right: 20px;
}

.upcoming-event-mobile-container {
    display: none;
}

#showpage-button-div {
    background-color: #000;
    text-align: center;
    padding-top: 10px;
    padding-bottom: 10px;
    margin-bottom: 10px;
}

#showpage-full-calendar-button {
    background-color:#000;
}

/*start of mobile*/
@media screen and (max-width: 800px) {

    #show-header, .showpage-show {
        display: inline-block;
    }

    #show-image-container, #show-name-and-description-container {
        clear: both;  
    }

    .show-image {
        max-width: 100%;
        max-height: 100%;
    }

    #show-name-and-description {
        margin-right: 0;
        display:inline-block;
    }

    #show-name-and-description-container {
        max-width:100%;
        overflow: hidden;
        padding-left:0px;
        text-align: center;
        padding-bottom:10px;
    }

    .show-name {
        font-size:40px;
        margin:20px 0 0 0;
    }

    .stamp-show-name {
        text-align:center;
    }

    .show-short-description {
        display:none;
        font-size:24px;
        max-width:100%;
        text-align:center;
    }

    #show-description-container {
        padding:5px;
        margin-top: 0px;
        margin-right:0px;   
    }

    #show-description {
        width:96%;
        margin: 10px 0 10px 0;
    }

    #upcoming-dates-header {
        margin-top:5px;
        margin-bottom: 5px; 
    }

    #upcoming-dates-header h1 {
        width:100%;
    }

    .upcoming-event-container {
        display:none;
    }

    .upcoming-event-mobile-container {
        display:inline-block;
        width:100%;
        margin-bottom:5px;
    }

    .upcoming-event-mobile-container a {
        text-decoration: none;
    }
    .upcoming-event-image-container-mobile {
        align-items: center;
        justify-content: center;
        max-width:120px;
        margin-right:10px;
    }

    .upcoming-event-image-mobile {
        max-width:120px;
        max-height:120px;
    }

    .small-showname {
        font-size:28px;
        margin: 0;
    }

    .upcoming-event-datetime {
        width:100%;
        text-align:center;
    }
}
/*end of mobile*/